import api from './index'
import { axios } from '@/utils/request'
import Axios from 'axios'

/**
 * 获取房型价格列表
 * @param {object} parameter 参数
 * @returns Axios Promise
 */
export function list(parameter) {
    return axios({
        url: '/rooms/cesRoomLayoutPrice/list',
        method: 'get',
        params: parameter
    })
}


/**
 * 更新房型价格
 * @param {object} parameter 参数
 * @returns Axios Promise
 */
 export function modify(parameter) {
    return axios({
        url: '/rooms/cesRoomLayoutPrice/modify',
        method: 'post',
        data: parameter
    })
}

/**
 * 新增房型价格
 * @param {object} parameter 参数
 * @returns Axios Promise
 */
 export function create(parameter) {
    return axios({
        url: '/rooms/cesRoomLayoutPrice/create',
        method: 'post',
        data: parameter
    })
}

/**
 * 获取配置过的房型价格会员等级折扣
 * @param {object} parameter 
 * @returns 
 */
export function getLayoutpriceLevels(parameter) {
    return axios({
        url: '/rooms/cesRoomLayoutMemberPrice/getListByParentId',
        method: 'get',
        params: parameter
    })
}



/**
 * 获取钟点房计费规则
 * @param {object} parameter 
 * @returns 
 */
 export function getHourRoomRule(parameter) {
    return axios({
        url: '/rooms/cesHourRoomRule/list',
        method: 'get',
        params: parameter
    })
}

